<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="5dp">

    <LinearLayout
        android:id="@+id/mTabLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_button_service"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:orientation="horizontal"
            android:padding="@dimen/margin_1x_size">

            <Button
                android:id="@+id/btn_plan"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Benefits"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="12sp" />

            <Button
                android:id="@+id/btn_package"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="Terms &amp; Conditions"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="12sp" />
        </LinearLayout>


    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerTermCondition"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintTop_toBottomOf="@+id/mTabLayout" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/container_benefit"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintTop_toBottomOf="@+id/mTabLayout">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/tabHeader"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:background="@color/button_behind"
                android:orientation="horizontal"
                android:padding="3dp"
                app:layout_constraintTop_toTopOf="parent">

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="3dp"
                    android:layout_weight="1"
                    android:background="@color/colorPrimary"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:orientation="vertical"
                    android:text="Fee"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    android:textStyle="bold">


                </com.seatel.mobilehall.util.customview.CustomButton>

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:id="@+id/btn_data"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="3dp"
                    android:layout_weight="2"
                    android:background="@color/colorPrimary"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:orientation="vertical"
                    android:text="Benefit offer"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    android:textStyle="bold">


                </com.seatel.mobilehall.util.customview.CustomButton>

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="3dp"
                    android:layout_weight="1"
                    android:background="@color/colorPrimary"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:orientation="vertical"
                    android:text="Validity"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    android:textStyle="bold">


                </com.seatel.mobilehall.util.customview.CustomButton>

                <com.seatel.mobilehall.util.customview.CustomButton
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@color/colorPrimary"
                    android:ellipsize="end"
                    android:gravity="center"
                    android:maxLines="1"
                    android:orientation="vertical"
                    android:text="Activation"
                    android:textColor="@color/white"
                    android:textSize="12sp"
                    android:textStyle="bold">


                </com.seatel.mobilehall.util.customview.CustomButton>


            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerItemLoyKob"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:nestedScrollingEnabled="true"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintTop_toBottomOf="@+id/tabHeader" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/btn_addon"
            android:layout_width="200dp"
            android:layout_height="40sp"
            android:layout_marginTop="5dp"
            android:background="@drawable/bg_button_round_service"
            android:gravity="center"
            android:padding="10dp"
            android:text="Add-on Package"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/recyclerItemLoyKob" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerItemLoyKobAddon"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="5dp"
            android:nestedScrollingEnabled="true"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintTop_toBottomOf="@+id/btn_addon" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/baseValidity"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="10dp"
            android:textColor="@color/colorPrimary"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/recyclerItemLoyKobAddon" />
    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>